/*
 * gl.conf - configuration file for graphics library
 * specify which graphics libraries to use
 *
 * Author: Michael Pichler <mpichler@iicm.tu-graz.ac.at>
 *
 *
 * $Id: gl.conf,v 1.2 1996/03/18 17:04:54 mpichler Exp $
 *

$Log: gl.conf,v $
Revision 1.2  1996/03/18 17:04:54  mpichler
Spaceball Support (12/95)
comment: how to activate OpenGL support

Revision 1.1  1995/11/13 09:56:34  hleitner
Initial revision

 */


/* general architecture: Mesa library only */
#define MESA_GL
#define DEFAULT_MESA_GL

/* SGI: all IrisGL, OpenGL, and MesaGL */
#ifdef SGIArchitecture
#  define IRIS_GL
#  define OPEN_GL
#  define MESA_GL
#  undef DEFAULT_MESA_GL
#  define DEFAULT_OPEN_GL
#endif

/* DEC ALPHA (OSF1): OpenGL and MesaGL */
#ifdef AlphaArchitecture
/* comment out next line when you have not installed OpenGL on your DEC Alpha (part of Open3D) */
#  define OPEN_GL
#  define MESA_GL
#endif

/* activate the following lines if you have OpenGL installed on your system */
/*#define OPEN_GL          */
/*#undef DEFAULT_MESA_GL   */
/*#define DEFAULT_OPEN_GL  */


/* Spaceball support */

/* uncomment next line to build VRweb with Spaceball support */
/* #define SPACEBALL */

#ifndef SpaceballCCFlags
#define SpaceballCCFlags -DSPACEBALL -DUSE_PROTOTYPES -I/usr/SpaceWare/sdk/SLIM/include
#endif

#ifndef SpaceballLDFlags
#define SpaceballLDFlags -L/usr/SpaceWare/sdk/SLIM/bin/sgi_irix_5 -lSPW -lXi
#endif
